graphics/gnash

[LoN]Kamikaze LoN_Kamikaze at gmx.de
Thu Mar 23 12:40:26 UTC 2006


The install script seems to be broken.

# ldd /usr/local/lib/browser_plugins/libgnash.so
libgnash.so:
	libmozsdk.so.0 =>
/mnt/vault/work/mnt/vault/ports/graphics/gnash/work/gnash-0.7/plugin/mozilla-sdk/.libs/libmozsdk.so.0
(0x28171000)
	libSDL-1.1.so.7 => /usr/local/lib/libSDL-1.1.so.7 (0x28174000)
	libX11.so.6 => /usr/X11R6/lib/libX11.so.6 (0x281da000)
	libXi.so.6 => /usr/X11R6/lib/libXi.so.6 (0x282a1000)
	libXmu.so.6 => /usr/X11R6/lib/libXmu.so.6 (0x282a9000)
	libglut.so.4 => /usr/X11R6/lib/libglut.so.4 (0x282be000)
	libGL.so.1 => /usr/X11R6/lib/libGL.so.1 (0x282f6000)
	libGLU.so.1 => /usr/X11R6/lib/libGLU.so.1 (0x28358000)
	libstdc++.so.6 =>
/usr/local/lib/gcc/i386-portbld-freebsd6.1/4.1.1/libstdc++.so (0x283e6000)
	libm.so.4 => /lib/libm.so.4 (0x284c1000)
	libgcc_s.so.1 =>
/usr/local/lib/gcc/i386-portbld-freebsd6.1/4.1.1/libgcc_s.so (0x284d8000)
	libvgl.so.4 => /usr/lib/libvgl.so.4 (0x284e2000)
	libXext.so.6 => /usr/X11R6/lib/libXext.so.6 (0x284ea000)
	libvga.so.1 => /usr/local/lib/libvga.so.1 (0x284f8000)
	libaa.so.1 => /usr/local/lib/libaa.so.1 (0x28550000)
	libusbhid.so.2 => /usr/lib/libusbhid.so.2 (0x28567000)
	libXt.so.6 => /usr/X11R6/lib/libXt.so.6 (0x2856b000)
	libSM.so.6 => /usr/X11R6/lib/libSM.so.6 (0x285ba000)
	libICE.so.6 => /usr/X11R6/lib/libICE.so.6 (0x285c3000)
	libXxf86vm.so.1 => /usr/X11R6/lib/libXxf86vm.so.1 (0x285da000)
	libc.so.6 => /lib/libc.so.6 (0x28083000)
	libncurses.so.6 => /lib/libncurses.so.6 (0x285df000)



As you can clearly see libmozsdk.so.0 is linked to the library in the
build folders and I cannot find it installed anywhere (I'm just doing
this by hand for now).

Unfortunately even when all libraries are found and

# firefox about:plugins

doesn't issue any complaints, the plugin is still not listed. Without
libmozsdk.so.0 firefox complains about the missing library, so the
plugin gets loaded, but doesn't work


More information about the freebsd-ports mailing list